com.google.gwt.cell.client

## Class ImageResourceCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<ImageResource>
  - - com.google.gwt.cell.client.ImageResourceCell

- All Implemented Interfaces:
    Cell<ImageResource>

      public class ImageResourceCell
      extends AbstractCell<ImageResource>

  An `AbstractCell` used to render an `ImageResource`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

      `Cell.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageResourceCell()` Construct a new ImageResourceCell.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Cell.Context context, ImageResource value, SafeHtmlBuilder sb)` Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

    - ### Methods inherited from class com.google.gwt.cell.client.AbstractCell

      `dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageResourceCell

          public ImageResourceCell()

      Construct a new ImageResourceCell.

  - ### Method Detail

    - #### render

          public void render(Cell.Context context,
                             ImageResource value,
                             SafeHtmlBuilder sb)

      Description copied from interface: `Cell`
      Render a cell as HTML into a `SafeHtmlBuilder`, suitable for passing to `Element.setInnerHTML(String)` on a container element.

      Note: If your cell contains natively focusable elements, such as buttons or input elements, be sure to set the tabIndex to -1 so that they do not steal focus away from the containing widget.

      Specified by:
        `render` in interface `Cell<ImageResource>`
      Specified by:
        `render` in class `AbstractCell<ImageResource>`
      Parameters:
        `context` - the `Cell.Context` of the cell
        `value` - the cell value to be rendered
        `sb` - the `SafeHtmlBuilder` to be written to